DROP VIEW V_MONEY;

CREATE OR REPLACE VIEW V_MONEY AS (
  SELECT M.ID_MONEY, M.ID_MENJAVE, M.ID_TIP_TRANS, M.ID_CARDS, M.ZNESEK, M.ZNESEK_SIT, M.STANJE, M.STANJE_VAL, M.NVALUTA, M.TECAJ, M.PAYMENT_RESPONSE_ID, M.ID_KUPCI_CC, M.VRSTA_BL,
  E.DATUM AS EXCHANGE_DATUM, E.CAS AS EXCHANGE_CAS, E.N_BLAGAJNE AS EXCHANGE_N_BLAGAJNE, E.N_IZMENE AS EXCHANGE_N_IZMENE, E.N_TABAKA AS EXCHANGE_N_TABAKA, 
  E.KOMENTAR AS EXCHANGE_KOMENTAR, E.NNLOCATION_ID AS EXCHANGE_NNLOCATION_ID, E.STORNO AS EXCHANGE_STORNO,
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (E.IME || ' ' || E.PRIIMEK) ELSE (E.PRIIMEK || ' ' || E.IME) END) AS EXCHANGE_OWNER,
  NC.OPIS AS NNCARDS_OPIS, S.ID_SALDKONT, S.N_RACUNA AS SALDKONT_N_RACUNA, S.VRSTA_RACUNA AS SALDKONT_VRSTA_RACUNA, S.STORNO AS SALDKONT_STORNO, NK.SLO AS NKNJIZBA_OPIS,
  KCC.TEMPORARY AS CREDIT_CARD_TEMPORARY, KCC.ID_CREDIT_CARD_TOKEN AS CREDIT_CARD_TOKEN_ID, TT.OPIS AS TIPI_TRANS_OPIS
  FROM MONEY M
  LEFT OUTER JOIN NNCARDS NC ON NC.ID_CARDS = M.ID_CARDS 
  LEFT OUTER JOIN EXCHANGE E ON E.ID = M.ID_MENJAVE 
  LEFT OUTER JOIN SALDKONT S ON S.ID_SALDKONT = E.ID_SALDKONT
  LEFT OUTER JOIN NKNJIZBA NK ON NK.SALDKONT = S.VRSTA_RACUNA
  LEFT OUTER JOIN KUPCI_CREDIT_CARDS KCC ON KCC.ID_KUPCI_CC = M.ID_KUPCI_CC
  LEFT OUTER JOIN TIPI_TRANS TT ON TT.ID_TIP_TRANS = M.ID_TIP_TRANS
);

UPDATE NNPAYMENT_SYSTEM
SET OPIS = 'Merchant Warrior', INTERNI_OPIS = 'Merchant Warrior'
WHERE OPIS = 'Marchant Warrior' AND SIFRA = 'MW';

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1457, SYSDATE, '5.5', 1377, 'VMoney')
;
