DROP VIEW V_POGODBE;

CREATE OR REPLACE VIEW V_POGODBE AS (
	SELECT P.ID_POGODBE AS V_POGODBE_ID, P.ID_POGODBE, P.ID_LASTNIKA, P.ID_PLOVILA, P.ID_MASTER, P.OBJEKT, P.N_PRIVEZA, P.N_POGODBE, P.DATUM_ZACETKA, P.DATUM_KONCA, P.PREDVIDENI_DATUM_KONCA, P.DATUM_KREIRANJA, P.USER_KREIRANJA,
  P.DATUM_SPREMEMBE, P.USER_SPREMEMBE, P.STATUS, P.DATUM_SKLENITVE, P.DATUM_PREKINITVE, P.KOMENTAR, P.TIP_POGODBE, P.EXTENSION_SEQUENCE_NUMBER, P.EXTENSION_DATE, P.ID_PRIVEZ, P.BLOCK_OUT, P.APPROVED_BY, P.APPROVED_ON, P.ID_OWNER_SIGNATURE,
  (CASE WHEN P.BLOCK_OUT = 'Y' AND P.DATUM_ZACETKA IS NOT NULL AND P.DATUM_KONCA IS NOT NULL THEN P.DATUM_KONCA + 1 ELSE NULL END) AS BLOCK_OUT_FROM,
  (CASE WHEN P.BLOCK_OUT = 'Y' AND P.DATUM_ZACETKA IS NOT NULL AND P.DATUM_KONCA IS NOT NULL THEN P.DATUM_KONCA + (P.DATUM_KONCA - P.DATUM_ZACETKA) + 1 ELSE NULL END) AS BLOCK_OUT_TO,
  NNSTAT.OPIS AS STATUS_OPIS, NNSTAT.INTERNI_OPIS AS STATUS_INTERNI_OPIS,
  PLOV.IME AS PLOVILA_IME, PLOV.PODALJSA AS PLOVILA_PODALJSA, KUP.IME AS KUPCI_IME, KUP.PRIIMEK AS KUPCI_PRIIMEK, KUP.INT_CODE AS KUPCI_INT_CODE, KUP.VRSTA AS KUPCI_VRSTA, KUP.KODA_JEZIKA AS KUPCI_KODA_JEZIKA, KUP.LOYALTY AS KUPCI_LOYALTY, KUP.LOYALTY_CODE AS KUPCI_LOYALTY_CODE,
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KUP.IME || ' ' || KUP.PRIIMEK) ELSE (KUP.PRIIMEK || ' ' || KUP.IME) END) AS OWNER,
  NP.ID_PRIVEZ AS NNPRIVEZ_ID_PRIVEZ, NP.KATEGORIJA AS NNPRIVEZ_KATEGORIJA, NP.OBJEKT AS NNPRIVEZ_OBJEKT, NP.N_PRIVEZA AS NNPRIVEZ_PRIVEZ, NP.DOLZINA AS NNPRIVEZ_DOLZINA, 
  NO.OPIS AS NNOBJEKT_OPIS, NO.INTERNI_OPIS AS NNOBJEKT_INTERNI_OPIS, NO.STORAGE AS NNOBJEKT_STORAGE, NNLOC.ID AS NNLOCATION_ID,
  (SELECT SUM((MV.SKUPAJ + (MV.SKUPAJ*COALESCE(MV.DAVEK,0)/100))*(1 - (COALESCE(MV.POPUST, 0)/100))*(1 - (COALESCE(MV.POPUST1, 0)/100))*(1 - (COALESCE(MV.POPUST2, 0)/100))) FROM M_VZORCI_PS MV WHERE MV.ID_POGODBE = P.ID_POGODBE AND MV.STORNO IS NULL) AS PRICE, 
  (SELECT SUM(COALESCE(MV.SKUPAJ,0)*(1 - (COALESCE(MV.POPUST, 0)/100))*(1 - (COALESCE(MV.POPUST1, 0)/100))*(1 - (COALESCE(MV.POPUST2, 0)/100))) FROM M_VZORCI_PS MV WHERE MV.ID_POGODBE = P.ID_POGODBE AND MV.STORNO IS NULL) AS NETO_PRICE, 
  (SELECT SUM((MV.SKUPAJ + (MV.SKUPAJ*COALESCE(MV.DAVEK,0)/100))*(1 - (COALESCE(MV.POPUST, 0)/100))*(1 - (COALESCE(MV.POPUST1, 0)/100))*(1 - (COALESCE(MV.POPUST2, 0)/100))) FROM M_VZORCI_PS MV WHERE MV.ID_POGODBE = P.ID_POGODBE_GEN AND MV.STORNO IS NULL) AS PREVIOUS_PRICE, 
  (SELECT SUM(COALESCE(MV.SKUPAJ,0)*(1 - (COALESCE(MV.POPUST, 0)/100))*(1 - (COALESCE(MV.POPUST1, 0)/100))*(1 - (COALESCE(MV.POPUST2, 0)/100))) FROM M_VZORCI_PS MV WHERE MV.ID_POGODBE = P.ID_POGODBE_GEN AND MV.STORNO IS NULL) AS NETO_PREVIOUS_PRICE, 
	(CASE WHEN ((SELECT COUNT(*) FROM M_VZORCI_PS WHERE ID_POGODBE = P.ID_POGODBE AND STORNO IS NULL) > 0 AND (SELECT COUNT(*) FROM M_VZORCI_PS WHERE ID_POGODBE = P.ID_POGODBE AND STORNO IS NULL AND ACTIVE = 'Y') = 0) THEN 'Y' ELSE 'N' END) AS FULLY_CHARGED
  FROM M_POGODBE P
	LEFT OUTER JOIN NNSTATPOG NNSTAT ON P.STATUS = NNSTAT.SIFRA
  LEFT OUTER JOIN PLOVILA PLOV ON PLOV.ID = P.ID_PLOVILA
  LEFT OUTER JOIN KUPCI KUP ON KUP.ID = P.ID_LASTNIKA
  LEFT OUTER JOIN NNPRIVEZ NP ON NP.ID_PRIVEZ = P.ID_PRIVEZ
  LEFT OUTER JOIN NNOBJEKT NO ON NO.SIFRA = NP.OBJEKT 
  LEFT OUTER JOIN NNPOMOL NPOM ON NPOM.SIFRA = NP.KATEGORIJA
  LEFT OUTER JOIN NNLOCATION NNLOC ON NNLOC.ID = NPOM.NNLOCATION_ID
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1861, SYSDATE, '5.5', 1781, 'VPogodbe')
;

